package shapecalculus.behaviour;

import shapecalculus.ActionsContext;
import shapecalculus.boneremodelling.BRActionDispatcher;

public class DispatcherFactory {

	private static ActionDispatcher dispatcher;
	private static ActionsContext actContext;
	
	public DispatcherFactory(ActionsContext actContext){
		DispatcherFactory.actContext=actContext;
	}

	public static ActionDispatcher getDispatcher() {
		if (dispatcher == null)
			dispatcher = new ActionDispatcher(actContext);
		return dispatcher;
	}
	public static BRActionDispatcher getBRDispatcher(){
		if (dispatcher == null)
			dispatcher = new BRActionDispatcher(actContext);
		return (BRActionDispatcher) dispatcher;
	}
	public static ActionsContext getActionsContext(){
		return actContext;
	}
}
