package shapecalculus.boneremodelling;



public class RANKLDistribution {

	private double max;
	private double current;
	public RANKLDistribution(){
		this.max=0;
		this.current=0;
	}
	
	public double getNextDouble(double value){
		this.current=value;
		this.max=Math.max(max, this.current);
//		return RandomHelper.getUniform().nextDoubleFromTo(0,value/max)*ParametersManager.getRANKLProductionFactor();
		return (this.current/max)*ParametersManager.getInflammatoryFactor();
	}

	
}
