package shapecalculus.boneremodelling;

import java.util.ArrayList;
import java.util.List;

import repast.simphony.space.grid.GridPoint;

public class Fracture_old {
	private List<GridPoint> points;
	private List<Boolean> occupied;

	public Fracture_old() {
		points = new ArrayList<GridPoint>();
		occupied = new ArrayList<Boolean>();
		createFracture();
	}

	private void createFracture() {
		int[] bmusize = ParametersManager.getBMUSize();
		int fractStart = (int) (bmusize[0] / 3);
		int fractEnd = bmusize[0] - fractStart;
		int middle = bmusize[1] / 2;
//		for (int i = fractStart; i < middlex; i++) {
//			points.add(new GridPoint(i, middle - 5 , 0));
//			points.add(new GridPoint(i,
//					middle + 5/* + (int)(Math.random()*4) -2 */, 0));
//			occupied.add(false);
//			occupied.add(false);
//
//		}
//		for (int i = -5; i <= 5; i++){
//			points.add(new GridPoint(middlex, middle + i, 0));
//			occupied.add(false);
//		}
//		for (int i = middlex; i < fractEnd; i++) {
//			points.add(new GridPoint(i,
//					middle /* + (int)(Math.random()*4) -2 */, 0));
//			occupied.add(false);
//		}
//		for (int i = fractStart; i < fractEnd; i++) {
//			points.add(new GridPoint(i,	middle+ 2*(i%3) -(i%6)/* + (int)(Math.random()*4) -2 */, 0));
//			occupied.add(false);
//		}
		for (int i = fractStart; i < fractEnd; i++) {
			points.add(new GridPoint(i,	middle/*+ 2*(i%3) -(i%6)*/, 0));
			occupied.add(false);
		}
	}

	public List<GridPoint> getPoints() {
		return points;
	}

	public boolean getOccupied(GridPoint point) {
		return occupied.get(points.indexOf(point));
	}

	public GridPoint getNextFreePoint() {
		GridPoint ret = null;
		for (int i = 0; i < points.size(); i++)
			if (!occupied.get(i)) {
				ret = points.get(i);
				break;
			}
		return ret;
	}

	public void setOccupied(GridPoint point, boolean occupation) {
		occupied.set(points.indexOf(point), occupation);
	}

	// public void setOccupied(int index, boolean occupation) {
	// occupied.set(index, occupation);
	// }
}