package shapecalculus.boneremodelling;

import repast.simphony.random.RandomHelper;
import repast.simphony.space.continuous.NdPoint;
import shapecalculus.Shape;
import shapecalculus.physics.Motion;

public class ObMotion implements Motion {

	@Override
	public NdPoint calculateVelocity(Shape s) {

		double k = ParametersManager.getObDiffusionCoefficent();
		double rand = ParametersManager.getMotionRandomness()[1] * k;
//		int[] pt = s.getDiscretePosition().toIntArray(null);
//		int[] bmusize = ParametersManager.getBMUSize();
//		int xmin = Math.max(0, pt[0] - 2);
//		int xmax = Math.min(bmusize[0], pt[0] + 2);
//		int ymin = Math.max(0, pt[1] - 2);
//		int ymax = Math.min(bmusize[1], pt[1] + 2);
//		NdPoint avg1 = null;
//		Grid grid = (Grid) ((BasicShape) s).getContext().getProjection("grid");
//		for (int i = xmin; i < xmax && avg1 == null; i++)
//			for (int j = ymin; j < ymax && avg1 == null; j++) {
//				for (Object o : grid.getObjectsAt(i, j))
//					if (o instanceof OsteoclastKiller) {
//						GridPoint oPt = ((OsteoclastKiller) o)
//								.getDiscretePosition();
//						avg1 = new NdPoint(oPt.getX() - pt[0], oPt.getY()
//								- pt[1],0);
//						break;
//					}
//			}
		// NdPoint avg1 = BRContext.opgAttraction.getVelocity(s.getPosition());

		NdPoint avg1 = BRContext.obAttraction.getVelocity(s.getPosition());
		// return new NdPoint((avg1.getX() * ko + avg2.getX()) * epsilon,
		// (avg1.getY() * ko + avg2.getY()) * epsilon,
		// (avg1.getZ() * ko + avg2.getZ()) * epsilon);
		return new NdPoint(k * avg1.getX()
				+ RandomHelper.getUniform().nextDoubleFromTo(-rand, rand), k
				* avg1.getY()
				+ RandomHelper.getUniform().nextDoubleFromTo(-rand, rand), k
				* avg1.getZ());
	}

}
