package shapecalculus.physics;

import repast.simphony.space.continuous.NdPoint;
import shapecalculus.Shape;
import shapecalculus.Utils;

public class Gravitation implements Motion {

	public static final double G = 9.8;

	public NdPoint calculateVelocity(Shape s) {
		return Utils.sumPoints(s.getVelocity(),new NdPoint(0,-G,0));
	}

}
